﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3034B: (1 year) VER IEEE /5500A+SC600
DATE:                  2010-08-03 12:50:48
AUTHOR:                Fluke
REVISION:              $Revision: 18570 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       258
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3034B
# 
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
# 
# Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub Tek TDS3000/3000B IEEE-488 Interface
#        Sub UUT Connection GPIB
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test IEEE
#        Sub Tek TDS3000 Signal Path Compensation Cal IEEE
#        Sub Tek TDS3000B (1 yr) DCV IEEE /5500+S6
#        Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5500+S6
#        Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5500+S6
#        Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5500+S6
#        Sub Tek TDS3000B (1 yr) Sample Rate IEEE /5500+S6
#        Sub Tek TDS3000 Select Channel IEEE
#        Sub Tek TDS3000 Trigger Check and Level Adjust IEEE
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5500         300MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub Tek TDS3000/3000B IEEE-488 Interface
  1.017  JMPL         END                           @Abort
  1.018  CALL         Sub UUT Connection GPIB

  1.019  IEEE2        *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  MATH         @UUT_Model        = "TDS 3034B"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Tek TDS3000 Check Firmware Version
  1.027  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   DCV GAIN (CH3)                     TRIGGER SENS FULL BW (CH1)
#    6.   DCV GAIN (CH4)                     TRIGGER SENS 50 MHz (CH1)
#    7.   BANDWIDTH (CH1)                    SAMPLE RATE AND DELAY TIME ACC
#    8.   BANDWIDTH (CH2)                    DCV GAIN (CH2)
#    9.   BANDWIDTH (CH3)                    BANDWIDTH (CH2)
#   10.   BANDWIDTH (CH4)                    TRIGGER SENS FULL BW (CH2)
#   11.   TRIGGER SENS FULL BW (CH1)         TRIGGER SENS 50 MHz (CH2)
#   12.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH3)
#   13.   TRIGGER SENS FULL BW (CH3)         BANDWIDTH (CH3)
#   14.   TRIGGER SENS FULL BW (CH4)         TRIGGER SENS FULL BW (CH3)
#   15.   TRIGGER SENS 50 MHz (CH1)          TRIGGER SENS 50 MHz (CH3)
#   16.   TRIGGER SENS 50 MHz (CH2)          DCV GAIN (CH4)
#   17.   TRIGGER SENS 50 MHz (CH3)          BANDWIDTH (CH4)
#   18.   TRIGGER SENS 50 MHz (CH4)          TRIGGER SENS FULL BW (CH4)
#   19.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH4)

  1.028  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.029  CALL         Sub Tek TDS3000 Signal Path Compensation Cal IEEE
  1.030  JMPL         END                           @Abort

  1.031  CALL         Sub Tek TDS3000 Self-Test IEEE
  1.032  JMPL         END                           @Abort

  1.033  DISP         Connect the 5500A Scope Out to UUT CH1.
  1.034  MATH         @Chan = 1
  1.035  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /5500+S6
  1.036  JMPL         BANDWIDTH_CH1

  1.037  LABEL        DCV_CH2
  1.038  DISP         Connect the 5500A Scope Out to UUT CH2.
  1.039  MATH         @Chan = 2
  1.040  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /5500+S6
  1.041  JMPL         BANDWIDTH_CH2

  1.042  LABEL        DCV_CH3
  1.043  DISP         Connect the 5500A Scope Out to UUT CH3.
  1.044  MATH         @Chan = 3
  1.045  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /5500+S6
  1.046  JMPL         BANDWIDTH_CH3

  1.047  LABEL        DCV_CH4
  1.048  DISP         Connect the 5500A Scope Out to UUT CH4.
  1.049  MATH         @Chan = 4
  1.050  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /5500+S6
  1.051  JMPL         BANDWIDTH_CH4

  1.052  LABEL        BANDWIDTH_CH1
  1.053  MATH         @Chan = 1
  1.054  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5500+S6
  1.055  JMPL         TRIG_FULL_BW_CH1

  1.056  LABEL        BANDWIDTH_CH2
  1.057  MATH         @Chan = 2
  1.058  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5500+S6
  1.059  JMPL         TRIG_FULL_BW_CH2

  1.060  LABEL        BANDWIDTH_CH3
  1.061  MATH         @Chan = 3
  1.062  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5500+S6
  1.063  JMPL         TRIG_FULL_BW_CH3

  1.064  LABEL        BANDWIDTH_CH4
  1.065  MATH         @Chan = 4
  1.066  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /5500+S6
  1.067  JMPL         TRIG_FULL_BW_CH4

  1.068  LABEL        TRIG_FULL_BW_CH1
  1.069  MATH         @Chan = 1
  1.070  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5500+S6
  1.071  JMPL         TRIG_50MH_CH1

  1.072  LABEL        TRIG_FULL_BW_CH2
  1.073  MATH         @Chan = 2
  1.074  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5500+S6
  1.075  JMPL         TRIG_50MH_CH2

  1.076  LABEL        TRIG_FULL_BW_CH3
  1.077  MATH         @Chan = 3
  1.078  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5500+S6
  1.079  JMPL         TRIG_50MH_CH3

  1.080  LABEL        TRIG_FULL_BW_CH4
  1.081  MATH         @Chan = 4
  1.082  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /5500+S6
  1.083  JMPL         TRIG_50MH_CH4

  1.084  LABEL        TRIG_50MH_CH1
  1.085  MATH         @Chan = 1
  1.086  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5500+S6
  1.087  JMPL         SAMPLE_RATE

  1.088  LABEL        TRIG_50MH_CH2
  1.089  MATH         @Chan = 2
  1.090  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5500+S6
  1.091  JMPL         DCV_CH3

  1.092  LABEL        TRIG_50MH_CH3
  1.093  MATH         @Chan = 3
  1.094  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5500+S6
  1.095  JMPL         DCV_CH4

  1.096  LABEL        TRIG_50MH_CH4
  1.097  MATH         @Chan = 4
  1.098  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /5500+S6
  1.099  JMPL         END

  1.100  LABEL        SAMPLE_RATE
  1.101  MATH         @Chan = 1
  1.102  CALL         Sub Tek TDS3000B (1 yr) Sample Rate IEEE /5500+S6
  1.103  JMPL         DCV_CH2

  1.104  LABEL        END
  1.105  HEAD         -2

  1.106  IF           @Abort
  1.107  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.108  ELSE
  1.109  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.110  ENDIF

  1.111  END




